MyGUI: MyGUI::SkinItem Class Reference

MyGUI 3.2.2

Public Member Functions | Protected Member Functions
MyGUI::SkinItem Class Reference

`#include <MyGUI_SkinItem.h>`

Inheritance diagram for MyGUI::SkinItem:
[legend]

## Public Member Functions
| SkinItem ()
ISubWidgetText * | getSubWidgetText ()
ISubWidgetRect * | getSubWidgetMain ()
void | _setTextureName (const std::string &_texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
| LayerItem ()
virtual | ~LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
virtual void | attachItemToNode (ILayer *_layer, ILayerNode *_node)
virtual void | detachFromLayer ()
virtual void | upLayerItem ()
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
virtual ILayerItem * | getLayerItemByPoint (int _left, int _top) const =0
virtual const IntCoord & | getLayerItemCoord () const =0
virtual void | resizeLayerItemView (const IntSize &_oldView, const IntSize &_newView)=0

## Protected Member Functions
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (const std::string &_state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Detailed Description

Definition at line 19 of file MyGUI_SkinItem.h.

## Constructor & Destructor Documentation

## ◆ SkinItem()

MyGUI::SkinItem::SkinItem | ( |  | ) |

Definition at line 16 of file MyGUI_SkinItem.cpp.

## Member Function Documentation

## ◆ _correctSkinItemView()

void MyGUI::SkinItem::_correctSkinItemView | ( |  | ) |
| protected

Definition at line 52 of file MyGUI_SkinItem.cpp.

## ◆ _createSkinItem()

void MyGUI::SkinItem::_createSkinItem | ( | ResourceSkin * | _info | ) |
| protected

Definition at line 80 of file MyGUI_SkinItem.cpp.

## ◆ _deleteSkinItem()

void MyGUI::SkinItem::_deleteSkinItem | ( |  | ) |
| protected

Definition at line 117 of file MyGUI_SkinItem.cpp.

## ◆ _getTextureName()

const std::string & MyGUI::SkinItem::_getTextureName | ( |  | ) | const

Definition at line 141 of file MyGUI_SkinItem.cpp.

## ◆ _setSkinItemAlign()

void MyGUI::SkinItem::_setSkinItemAlign | ( | const IntSize & | _size | ) |
| protected

Definition at line 24 of file MyGUI_SkinItem.cpp.

## ◆ _setSkinItemAlpha()

void MyGUI::SkinItem::_setSkinItemAlpha | ( | float | _value | ) |
| protected

Definition at line 46 of file MyGUI_SkinItem.cpp.

## ◆ _setSkinItemColour()

void MyGUI::SkinItem::_setSkinItemColour | ( | const Colour & | _value | ) |
| protected

Definition at line 36 of file MyGUI_SkinItem.cpp.

## ◆ _setSkinItemState()

bool MyGUI::SkinItem::_setSkinItemState | ( | const std::string & | _state | ) |
| protected

Definition at line 64 of file MyGUI_SkinItem.cpp.

## ◆ _setSkinItemVisible()

void MyGUI::SkinItem::_setSkinItemVisible | ( | bool | _value | ) |
| protected

Definition at line 30 of file MyGUI_SkinItem.cpp.

## ◆ _setSubSkinVisible()

void MyGUI::SkinItem::_setSubSkinVisible | ( | bool | _visible | ) |
| protected

Definition at line 146 of file MyGUI_SkinItem.cpp.

## ◆ _setTextureName()

void MyGUI::SkinItem::_setTextureName | ( | const std::string & | _texture | ) |

Definition at line 133 of file MyGUI_SkinItem.cpp.

## ◆ _updateSkinItemView()

void MyGUI::SkinItem::_updateSkinItemView | ( |  | ) |
| protected

Definition at line 58 of file MyGUI_SkinItem.cpp.

## ◆ getSubWidgetMain()

ISubWidgetRect * MyGUI::SkinItem::getSubWidgetMain | ( |  | ) |

Get sub widget of first texture or nullptr if no sub widget with texture

Definition at line 160 of file MyGUI_SkinItem.cpp.

## ◆ getSubWidgetText()

ISubWidgetText * MyGUI::SkinItem::getSubWidgetText | ( |  | ) |

Get text sub widget or nullptr if no text sub widget

Definition at line 155 of file MyGUI_SkinItem.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SkinItem.h
- MyGUI_SkinItem.cpp